QGIS Application - Bug report #14384

Relation reference widget does not set value when referencing a memory layer

2016-02-26 03:23 PM - Sebastian Dietrich

Status: Closed
Priority: Normal
Assignee: Matthias Kuhn
Category: Relations

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 22365

Description

Tested with master (commit:dec28b4109933b55841053dd72355baac027812a).

How to reproduce:
- Create a new project

- Create a memory layer named child with one attribute key

- Create a memory layer named parent with two attributes, key and value

- Create a relation with child being the child-layer and parent being the parent layer, linked by key

- Set the edit widget for key in child to relation reference widget, using the relation created above

- Add some features to parent

- Add a feature to child, setting key to one of the features you just added to parent

- Open the attribute table

- Note that the feature has a value of NULL in the attribute key, but it should have the value you selected when creating it

When using a shapefile layer for parent instead of a memory layer, everything works as expected.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
